%ext ck4
%version 1.4

%patchfile $1fe47 ck4load.bin			#New loading screen

#Write custom CK4 TileInfo: 
%patchfile $249C2 Mart4.tli

#To patch AUDIODCT.CK4:
%patchfile $354F6 "AUDIODCT.CK4"

#To patch AUDIOHED.CK4:
%patchfile $20DF0 "AUDIOHED.CK4"

# Load the modified graphics
%egahead EGAHEAD.CK4

%egadict EGADICT.CK4				#Use KG graphics
%maphead MAPHEAD.CK4				#New levels

%patch $2F4BB "GEMS" $00
%patch $2F4C5 "LIVES" $00
%patch $2F4CB "CAPS " $00

#Keen:
%patch $1C1BF $0050W #H location
%patch $1C1C2 $0001W #Background color
%patch $1C1C6 $0006W #Height
%patch $1C1CA $002AW #Width
%patch $1C1DF $4DCEW #Text called from
%patch $33C3E "MART:" $00

#Number of Computer Wrist options - 1
%patch $99CD $03
%patch $99D4 $03

#Help section documents
%patch $2F586 $1283W #Computerwrist
              $1285W #The game
              $1284W #The story
              $1286W #About ID

#Help screen colors: (Useful)
%patch $98F5 $0002W  
%patch $99F8 $0002W

#Screen colors:
%patch $95FB $0002W 

#Main Menu
%patch $1A9C6 $B0 $08 $50 #Background 1 (Dark grey)
              $B0 $08 $50 #Background 2 (Should match back 1)
              $B0 $9F $50 #Width of background box

%patch $1AA06 $19         #Selected text color (Light green)*
%patch $1AA0D $09         #Unselected text color (Dark green)*
%patch $1AA33 $0F         #Unknown text color (Light grey)*
%patch $1AB14 $19         #Top line color (Light green)
%patch $1AAC1 $19         #Bottom line color (Light green)
%patch $1AA40 $09         #Menu bottom text color (Dark green)*
%patch $1AABF $00         #Unknown menu bottom text color (Black)*


#Menu message box
%patch $1AC75 $19         #Top of box (Light green)
%patch $1AC90 $19         #Bottom of box (Light green)
%patch $1ACAE $19         #Left side of box (Light green)
%patch $1ACC9 $19         #Right side of box (Light green)
%patch $1AC5B $08         #Background color (Dark grey)
%patch $1AE6C $19         #Top text (Light green)*
%patch $1AEA3 $19         #Bar in the middle (Light green)
%patch $1AEC8 $09         #Bottom text (Dark green)*


#Configure menu
%patch $1B2F6 $09  #Control text


#Change keyboard keys menu
%patch $1B50E $B0 $08 $50 #Background 1 (Dark grey)
	      $B0 $08 $50 #Background 2 (Should match back 1)
              $B0 $9F $50 

#Width of background (Should match main menu width above)
%patch $1B543 $19         #Selected text (Light green)*
%patch $1B547 $09         #Unselected text (Dark green)*
%patch $1B572 $08         #Normal box color (XOR)
%patch $1B595 $08         #Normal box background
%patch $1B33B $09         #Changing key box color 1 (Dark green)
%patch $1B35E $08         #Changing key box color 2 (Dark grey, XOR)
%patch $1B381 $08         #Changing key box background

#Change joystick buttons menu
%patch $1B64F $08 #Background color
%patch $1B670 $19 #Text color (Light green)*

#Change gamepad button menu
%patch $1B987 $08 #Background color
%patch $1BB9C $19 #Text color (Light green)*

#Save\load game menu
%patch $1BC73 $01 #Selected text and box
%patch $1BC77 $09 #Unselected text and box
%patch $1BC7E $08 #Text color modifier
%patch $1BEA7 $08 #Box background color
%patch $1BFAF $01 #Saving game text color
%patch $1BFB1 $08 #Saving game background color

#Load menu
%patch $1CC69 $0F #Unknown text color (Black)
%patch $1CD8E $0F #Loading menu text (Black)

#War bottom line

%patch $1C70E $0001W 
#Color

%patch $1C712 $008FW 
#Vertical location

%patch $1C716 $00E7W 
#H start

%patch $1C71A $004DW 
#H end


#War top line

%patch $1C6F6 $0001W 
#Color

%patch $1C6FA $003CW 
#Vertical location

%patch $1C6FE $00E7W 
#H start

%patch $1C702 $004DW 
#H end

#Comp

%patch $1C201 $00B6W 
#H location

%patch $1C204 $0001W 
#Background color

%patch $1C208 $0006W 
#Height

%patch $1C20C $0032W 
#Width

###################################################################################
#Enemy: Poison Slug is MOrtimer McMire
###################################################################################

#Slug spawn height
%patch $FDAE $FF0FW #15 pixels up

#Slug chase Keen (Fire towards him)
%patch $30E92 $10800770RL

#Spawn Slug slime
%patch $FE5B  $0004W

#Slime spawn height
%patch $FE55 $0190W

#Slug slime heads in Keen's direction
%patch $2EE74 $0143W $0143W $0001W $0000W $0000W $0004W $0000W $0000W
              $10800770RL   $09DC1752RL   $11A20CA1RL   $20A8W

#Slug slime moves
%patch $30F18 $0143W $0143W $0001W $0000W $0000W $0004W $0040W $0000W
              $00000000L    $09DC1752RL   $11A20CA1RL   $20C6W
%patch $30F36 $0144W $0144W $0001W $0000W $0000W $0004W $0040W $0000W
              $00000000L    $09DC1752RL   $11A20CA1RL   $20A8W

###################################################################################
#Enemy: Birds and walking birds
###################################################################################

#Walking birds (easy, medium, hard) are separate from flying birds
#Spawn points
%patch $EECB $1A84W #'I Keen' (Easy bird)
%patch $EECD $1A7DW #'Mom' (Normal bird)
%patch $EECF $1A76W #'Dad' (Hard bird)

#Initiation code at + $1A76
%patch $10366 $83 $3E $7A6CW  $03 $7C $19 $83 $3E $7A6CW  $02 $7C $12 $FF $76
              $FC $57 $9A $0FA808A1RL     $83 $C4 $04 $C7 $06 $5F $CB $0001W
              $E9 $EA74W

#Flying bird spawn code = $0FA808A1RL
%patch $10321 $55 $8B $EC $B8 $01 $00 $50 $9A $06BD1E11RL     $83 $C4 $02 $8B
              $1E $D8 $A7 $C7 $07 $001BW  $C7 $47 $02 $0001W  $C7 $47 $20 $0002W
                  $8B $46 $06 $B1 $08 $D3 $E0 $89 $47 $0A $8B $46 $08 $D3 $E0
              $05 $FF1FW  $89 $47 $0C $B8 $224CW  $50 $53 $9A $09DC118CRL
              $83 $C4 $04 $5D $CB

#Stop the flying birds becoming walking birds:
%patch $103D0 $EB #Bird doesn't land when Keen is standing on ground level with it
%patch $1048B $EB #Don't land when Keen below it and Bird near ground

#Stop the walking birds flying or going to stunned bird
%patch $31026 $0173W $016FW $0000W $0000W $0001W $0078W $0080W $0000W #Waiting bird
              $00000000L    $0FA804BERL   $09DC1795RL   $21F2W
%patch $31044 $0173W $016FW $0000W $0000W $0001W $0007W $0080W $0000W #Walking birds
              $00000000L    $0FA804BERL   $09DC1795RL   $21F2W
%patch $31062 $0174W $0170W $0000W $0000W $0001W $0007W $0080W $0000W
              $00000000L    $0FA804BERL   $09DC1795RL   $2210W
%patch $31080 $0175W $0171W $0000W $0000W $0001W $0007W $0080W $0000W
              $00000000L    $0FA804BERL   $09DC1795RL   $222EW
%patch $3109E $0176W $0172W $0000W $0000W $0001W $0007W $0080W $0000W
              $10800770RL   $0FA804BERL   $09DC1795RL   $21D4W

#Eggs hatch to flying birds
%patch $10135 $224CW

#Stunned birds unstun to flying
%patch $311E6 $224CW

#Fix walking spawn height
%patch $1006A $FF1FW

#Bird stunned permanently
%patch $31152 $017BW $017BW $0002W $0000W $0000W $0000W $0000W $0000W
              $09DC16C9RL   $00000000L    $09DC1913RL   $0000W

#Don't draw members stuff
%patch $7E32 $90 $90 $90 $90 $90 #Rescued text
%patch $7E4D $90 $90 $90 $90 $90 #Background rectangle
%patch $7E6D $90 $90 $90 $90 $90 #Rescued tiles

#Level text (Move to middle)
%patch $7E8A $0076W #Horizontal
%patch $7E90 $0060W #Maximum text width
%patch $7E93 $062CW #Text read from
%patch $7EA7 $004CW #Width
%patch $7EAF $0080W #Horizontal
%patch $7EC4 $0085W #Horizontal (Label)
%patch $2F49C "LEVEL" $00

%patch $2F4D1 "Keycard" $00 
        
#How much Lindsey moves up/down 
%patch $12829 $00 $00 #Orig $08

#Boss collision, shoot 40 times to win game, else deadly
%patch $FE6A  $55 $8B $EC $56 $57 $8B $7E $06 $8B $76 $08 $83 $C7 $4C $83 $3C
              $03 $75 $1C $56 $9A $0D8F0D43RL     $83 $C4 $02 $FF $06 $CB53W
              $83 $3E $CB53W  $28 $7C $12 $C7 $06 $7A70W  $000DW  $EB $0A $83
              $3C $02 $75 $05 $9A $0B8013E9RL     $5F $5E $5D $CB

#State 13 wins game
%patch $6BD9 $0EB2W

#Don't make sound:
%patch $111B1 $90 $90 $90 $90 $90 #Bounder bounce sound

#Bounder walk back and forth at 90% Keen's speed
%patch $31D82 $01EBW $01EDW $0000W $0000W $0001W $0008W $00088W $0000W
              $00000000L    $10800938RL   $09DC1847RL
%patch $31DA0 $01ECW $01EEW $0000W $0000W $0001W $0008W $00088W $0000W
              $00000000L    $10800938RL   $09DC1847RL 

#Bounder stuns temporarily
%patch $31E18 $01EFW $01F0W $0000W $0000W $0001W $00A8W $00000W $0000W
              $00000000L    $10800938RL   $09DC1847RL
%patch $31E34 $2F12W
%patch $11165 $C7 $44 $1C $2FA8W $5F $5E $5D $CB

#Spawn height:
%patch $1111A $FF9FW #7 pixels up

#Initial direction (Right)
%patch $11127 $0001W	

#Mushroom always jumps high
%patch $FF92 $90 $90

#Oracle members don't stop to think (Frees $FD55 - $FD7D)
%patch $FD54 $CB

#Sprite doesn't float - short patch
%patch $125D8 $EB $2E

#Treasure Eater doesn't teleport
%patch $11B90 $EB
%patch $11C13 $EB

#Treasure eater can't eat item tiles
%patch $11D73 $EB

#Lick doesn't ever flame Keen
%patch $113B6 $EB $03

#Wormouth is deadly but doesn't bite
%patch $3155E $00000000L
%patch $31562 $09DC1752RL

#Don't play sound when Lick flames
%patch $113AA $EB $0A

#Stunned Arachnuts stay stunned
%patch $3127C $23F0W

#Dopefish is deadly
#SIDE EFFECT: Don't NOM Keen
%patch $32444 $09DC1752RL
%patch $32462 $09DC1752RL

#Dopefish never eats Keen, even without god mode
%patch $123F9 $EB

#Keen walks instead of swimming
%patch $E20C $37

#Berkeloid walks instead of floating
%patch $10DB5 $55 $8B $EC $56 $8B $76 $06 $FF $74 $20 $33 $C0 $50 $FF $74 $1E
              $FF $74 $0C $FF $74 $0A $8B $C6 $05 $46 $00 $50 $9A $16541641RL
              $83 $C4 $0C $5E $5D $CB

#Slug slimes using Keen's shot sound
%patch $FE18  $04

#Member collision; if Keen run oracle windows and transform = $11A205C1RL
%patch $11FE1 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $0F
              $C7 $44 $1C $1F46W  $9A $0E8F0BA5RL     $9A $16540D59RL     $5F
              $5E $8B $E5 $5D $CB

#Member just stands
%patch $30E28 $0164W $0164W $0000W $0000W $0000W $000AW $0000W $0000W
              $00000000L    $11A205C1RL   $09DC1795RL   $1FB8W	

#Slug moves faster
%patch $30E8E $00B0W $0000W #Speed 1
%patch $30EAC $00B0W $0000W #Speed 2	

#Slug slimes more often
%patch $30E92 $0FA80369RL

#Mimrock will never jump
%patch $11F43 $5E $5D $CB	

#Oracle tiles not displayed ever in High Scores
%patch $6BAC $7A1EW

#Mimrock always runs everywhere
%patch $11EA6 $3458W
%patch $11F3E $3458W
%patch $3237A $3458W
%patch $12068 $3458W

#Mimrock deadly, immortal when...
#Sneaking
%patch $322DC $09DC1752RL
%patch $322FA $09DC1752RL
%patch $32318 $09DC1752RL
%patch $32336 $09DC1752RL
%patch $32354 $09DC1752RL
%patch $32372 $09DC1752RL

#Pouncing
%patch $32390 $09DC1752RL
%patch $323AE $09DC1752RL
%patch $323CC $09DC1752RL

#Inchworm is the right height off the ground
%patch $10ECD $8B $46 $06 $B1 $08 $D3 $E0 $89 $47 $0A $8B $46 $08 $D3 $E0 $05
              $0040W  $89 $47 $0C $90 $90

#Inchworms move smoothly
%patch $31D0E $0001W #Inchworm 1
%patch $31D2C $0001W #Inchworm 2

#Slow inchworms down
%patch $31D16 $0018W $0000W #Speed 1
%patch $31D34 $0018W $0000W #Speed 2

#Stand on inchworms
%patch $10EC6 $0F

#Alter collision to work with stand-on inchworms:
%patch $10FA0 $0F

#Berkeloid does not harm Keen:
#Walking
%patch $3197C $00000000L #Berkeloid
%patch $3199A $00000000L #Berkeloid
%patch $319B8 $00000000L #Berkeloid
%patch $319D6 $00000000L #Berkeloid

#Tossing flame
%patch $319F4 $00000000L #Berkeloid
%patch $31A12 $00000000L #Berkeloid
%patch $31A30 $00000000L #Berkeloid
%patch $31A4E $00000000L #Berkeloid
%patch $31A6C $00000000L #Berkeloid
%patch $31A8A $00000000L #Berkeloid
%patch $31AA8 $00000000L #Berkeloid
%patch $31AC6 $00000000L #Berkeloid
%patch $31AE4 $00000000L #Berkeloid
%patch $31B02 $00000000L #Berkeloid
%patch $31B20 $00000000L #Berkeloid
%patch $31B3E $00000000L #Berkeloid

#Flame in air
%patch $31B5C $00000000L #Misc kill
%patch $31B7A $00000000L #Misc kill

#Flame on ground (Collide like a Berkeloid)
%patch $31B98 $00000000L #Berkeloid
%patch $31BB6 $00000000L #Berkeloid
%patch $31BD4 $00000000L #Berkeloid
%patch $31BF2 $00000000L #Berkeloid
%patch $31C10 $00000000L #Berkeloid
%patch $31C2E $00000000L #Berkeloid
%patch $31C4C $00000000L #Berkeloid
%patch $31C6A $00000000L #Berkeloid
%patch $31C88 $00000000L #Berkeloid

#Arachnut stuns permanently
%patch $31260 $01ADW $01ADW $0002W $0000W $0001W $0000W $0000W $0000W
              $09DC16C9RL   $00000000L    $09DC1913RL   $23F0W	

#Skypest bounce off ground instead of landing
%patch $107B4 $C7 $44 $18 $FFF8W $C7 $44 $10 $FFFFW $EB $07

#Skypest harmless to Keen
%patch $106E5 $EB

#Skypest flying speeds now 50%
%patch $106B5 $000AW #Speed l/r
%patch $106C5 $000AW #Speed u/d
%patch $10780 $FFF8W #Speed up of Pest when it flies off ground
%patch $1079B $0004W #Speed down of Pest when hits ceiling	

#Inchworms deadly
%patch $31D1E $0FA804BERL #Inchworm 1
%patch $31D3C $0FA804BERL #Inchworm 2

#Arachnut sprite type
%patch $10522 $10

#Type 7
%patch $B781 $C7 $46 $FE $00C0W  $BF $0080W

#Change Inchworm pointer to new code
%patch $EE99 $01B3W #Inchworm (At $EAA3)

#Foot doesn't cache smoke, Inchworm doesn't either
%patch $EAA0 $E9 $035AW $FF $76 $FC $57 $9A $108006B2RL     $EB $E9

#Berkeloid spawn code jumps to new code to cache smoke at $EACF
%patch $EA10 $00BDW

#Treasure Eater doesn't teleport
%patch $11B90 $EB
%patch $11C13 $EB

#Berkeloid randomly teleports
%patch $10C44 $321EW

#Expand cache
%patch $EAD0 $015AW

#Teleporting produces a falling Berkeloid not a Smirky (Needs Skypest patch!)
%patch $3217C $26C0W

#Falling Berkeloid action = $26C0W
%patch $31530 $01F7W $01FBW $0002W $0000W $0000W $0000W $0000W $0000W
              $09DC16C9RL   $0FA804BERL   $2EE724E0RL   $2AF8W

#Berkeloid landing code (Needs Skypest patch) = $2EE724E0RL
%patch $31350 $55 $8B $EC $56 $8B $76 $06 $83 $7C $38 $00 $75 $06 $83 $7C $3C
              $00 $74 $05 $C7 $44 $16 $00 $00 $83 $7C $36 $00 $74 $19 $B8 $0028W
                  $50 $9A $187409F1RL     $83 $C4 $02 $B8 $2AF8W  $50 $56 $9A
              $09DC120ARL     $83 $C4 $04 $FF $74 $20 $33 $C0 $50 $FF $74 $1E
              $FF $74 $0C $FF $74 $0A $8B $C6 $05 $46 $00 $50 $9A $16541641RL
              $83 $C4 $0C $5E $5D $CB

#Berkeloid uses raindrop sound when teleporting
%patch $11C16 $0A
%patch $11CC0 $0A

#Cloud is still and deadly:
%patch $31710 $01F2W $01F2W $0002W $0000W $0000W $0000W $0000W $0000W
              $00000000L    $09DC1752RL   $09DC176ERL   $28A0W
%patch $30752 $01F2W

%level.name 0 Space Station
%level.entry 0 Mart lands\non the Space Station 

%level.name 1 Control Room
%level.entry 1 Mart hesitantly\n checks\n the Control Room

%level.name 2 Star Dock
%level.entry 2 Mart faces the\n Star Dock

%level.name 3 Rocket A
%level.entry 3 Mart bursts \ninto Rocket A

%level.name 4 Rocket B
%level.entry 4 Mart carefully \n sneaks into\n Rocket B  

%level.name 5 Rocket C
%level.entry 5 Mart approaches \n Rocket C

%level.name 6 Rocket D
%level.entry 6 Mart looks around\n in Rocket D

%level.name 7 Transform T.
%level.entry 7 Mart ascends the\n Transform T.

%level.name 8 Mort's Lab
%level.entry 8 Mart wanders\n in Mort's Lab

%level.name 9 Floating Area
%level.entry 9 Mart goes to\n the Floating Area

%level.name 10 Space Maze
%level.entry 10 Mart floats\n in the Space Maze

%level.name 11 Electro Dome
%level.entry 11 Mart gets shocked\n in the Electro Dome

%level.name 12 Space Dock
%level.entry 12 Mart stops at the\n Space Dock

%level.name 13 Engine Room
%level.entry 13 Mart mechanizes\n his hands\n in the Engine Room 

%level.name 14 Red Pit
%level.entry 14 Mart makes his way\n into the Red Pit

%level.name 15 Desert Town
%level.entry 15 Mart visits\n the Desert Town

%level.name 16 Mangling M.
%level.entry 16 Mart enters\n the Mangling Machine

%level.name 17 Rocket E
%level.entry 17 Mart explores\n Rocket E 

%level.name 18 Miracle Machine
%level.entry 18 Mart decides\n to return to his\n Miracle Machine

%patch $2F191 "Exit to Worldmap" $00

#Wetsuit Text
%patch $30A3D "             "
%patch $30A4B "The M keycard, yay! "
%patch $30A60 "Mort is toast!  "

%patch $32624 $00000000L
%patch $32642 $00000000L
%patch $32660 $00000000L
%patch $3267E $00000000L

#Stop Members winning game
%patch $FCFD  $05

#New Member collision NEEDS CLOUD PATCH TO WORK!
%patch $10B2A $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $15
              $C7 $44 $1C $1F46W  $9A $0E8F0BA5RL     $9A $16540D59RL     $5F
              $9A $0D8F014FRL     $5E $8B $E5 $5D $CB

#Use new collision
%patch $30E3C $1080032ARL #New collision
%patch $30E5A $1080032ARL #New collision
%patch $30E78 $1080032ARL #New collision

#Don't change level music
%patch $F4CD $90 $90 $90 $90 $90
%patch $F5E7 $90 $90 $90 $90 $90

#Don't display Lindsey's head in window, center text
%patch $EF4E $EB $05
%patch $EF83 $EB $12
%patch $EFA0 $00
%patch $EFA5 $00

#Disable Oracle janitor
%patch $CD92 $EB

#Disable 'Can't swim' message (Free $F356-$F3D1)
%patch $E219 $90 $90 $90 $90 $90

#Dart gun shooter frequency
%patch $327DC $0078W 

%patch $129B4 $04 $00

#Keen can exit the WoW normally (Going offscreen)
%patch $9056 $83 $3E $A7EDW  $11 $90 $90

#Text
%patch $2F435 "Cheat Option!" $0A $0A
              "You just got all" $0A
              "the keys, 99 shots," $0A
              "and an extra life!" $00

#Hint level 5
%patch $30A25 "   ***NOTE***       "
%patch $30999 "                      "
%patch $309B0 "There's a hidden path"
%patch $309C6 "  behind Rocket B.  "
%patch $309DB "      "
%patch $309FA "Sounds good!  "
%patch $30A09 "I'm gonna find  "
%patch $30A1A "it!      "

#Hint level 7
%patch $30A25 "      ***NOTE***      "
%patch $3094C " You can get to the "
%patch $30961 "  secret level via the "
%patch $30979 "    Electro Dome.    "
%patch $3098F "        "
%patch $309E3 "        Awesome!      "

#Council Members text
%patch $30C17 "The M keycard can be"
%patch $30C2C "found in the    "
%patch $30C3D "Transform Tower.  "
%patch $30C50 "              "
%patch $30C5F "            "

%patch $30BB3 "Mortimer McMire has  "
%patch $30BC9 "already opened the  "
%patch $30BDE "door and is ready  "
%patch $30BF2 "to fight you!  "
%patch $30C02 "                    "

#Council Members text - Keen's replies
%patch $30A71 "Thanks for the useful"
%patch $30A87 "info!     "

%patch $30A92 "What?!             "
%patch $30AA6 "            "

%patch $3372F "NEW GAME" $00 
              "LOAD GAME" $00 
              "SAVE GAME" $00
              "CONFIGURE" $00 
              "END GAME" $00 
              "PONG" $00
              "QUIT" $00
               
#Terminator text palette:

%patch $2F078 $00 $00 $00 $00 $00 $00 $00 $00     
#Dark colors

              $19 $19 $19 $19 $0A $0A $0A $0A $00 
#Light colors (and border color)

%patchfile $1EE40 "STORY.CK4"

#Disable level end type
%patch $FCFD  $01

%patch $31222 $2378W

%patch $311F8 $0FA80AF9RL
 
#Disable END cheat code
%patch $9122 $EB $1F

#Slow the Arachnut to 50%
%patch $311F4 $0040W $0000W #Speed 1
%patch $31212 $0040W $0000W #Speed 2
%patch $31230 $0040W $0000W #Speed 3
%patch $3124E $0040W $0000W #Speed 4

#No bubbles or sound
%patch $F69C $5E $5D $CB

#Music
%patch $2F206 $00 $00 $04 $00 $01 $00 $05 $00 $05 $00 $05 $00 $05 $00 $01 $00 $03 $00 $03 $00 $03 $00 $01 $00 $01 $00 $01 $00 $04 $00 $04 $00 $02 $00 $05 $00 $03 $00 $01 $00 

#Other music played: (Values here is number of LEVELS whose music is used)

%patch $5836 $0006W #Story demo 
%patch $9CD7 $0003W #Ending Sequence 

#Don't display...
%patch $4F3B $0100W #KEEN
%patch $4FFA $0100W #COMMANDER

#High Scores
%patch $33234 "Tom Hall         " $00
%patch $33274 "Szemi            " $00
%patch $332B4 "Ceilick          " $00
%patch $332F4 "Tulip            " $00
%patch $33334 "Wiivn            " $00
%patch $33374 "Mobiethian       " $00
%patch $333B4 "Levellass        " $00
%patch $333F4 "Mink             " $00
          
%end